#
# spec file for package libgme
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 0

Name:           libgme
Version: 0.5.5
Release: 3.1
License:        LGPL-2.1+
Summary:        Collection of video game music file emulators
Url:            http://code.google.com/p/game-music-emu/
Group:          System/Libraries
Source0:        game-music-emu-%{version}.tbz2
# PATCH-FIX-UPSTREAM %%{name}-0.5.5-LIB_SUFFIX.patch http://code.google.com/p/game-music-emu/issues/detail?id=8 reddwarf@opensuse.org -- Add LIB_SUFFIX support
Patch0:         %{name}-0.5.5-LIB_SUFFIX.patch
# PATCH-FIX-UPSTREAM %%{name}-0.5.5-pkg_config.patch reddwarf@opensuse.org -- Add pkg-config file. From upstream SVN.
Patch1:         %{name}-0.5.5-pkg_config.patch
# PATCH-FIX-UPSTREAM %%{name}-0.5.5-symbol_visibility.patch reddwarf@opensuse.org -- Don't export internal symbols. From upstream SVN.
Patch2:         %{name}-0.5.5-symbol_visibility.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkg-config

%description
Game_Music_Emu is a collection of video game music file emulators that support
the following formats and systems:
- AY: ZX Spectrum/Amstrad CPC
- GBS: Nintendo Game Boy
- GYM: Sega Genesis/Mega Drive
- HES: NEC TurboGrafx-16/PC Engine
- KSS: MSX Home Computer/other Z80 systems (doesn't support FM sound)
- NSF/NSFE: Nintendo NES/Famicom (with VRC 6, Namco 106, and FME-7 sound)
- SAP: Atari systems using POKEY sound chip
- SPC: Super Nintendo/Super Famicom
- VGM/VGZ: Sega Master System/Mark III, Sega Genesis/Mega Drive,BBC Micro

%package -n %{name}%{soname}

Summary:        Collection of video game music file emulators
Group:          System/Libraries

%description -n %{name}%{soname}
Game_Music_Emu is a collection of video game music file emulators that support
the following formats and systems:
- AY: ZX Spectrum/Amstrad CPC
- GBS: Nintendo Game Boy
- GYM: Sega Genesis/Mega Drive
- HES: NEC TurboGrafx-16/PC Engine
- KSS: MSX Home Computer/other Z80 systems (doesn't support FM sound)
- NSF/NSFE: Nintendo NES/Famicom (with VRC 6, Namco 106, and FME-7 sound)
- SAP: Atari systems using POKEY sound chip
- SPC: Super Nintendo/Super Famicom
- VGM/VGZ: Sega Master System/Mark III, Sega Genesis/Mega Drive,BBC Micro

%package devel
License:        LGPL-2.1+
Summary:        Development libraries and headers for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name}%{soname} = %{version}

%description devel
The developmental files that must be installed in order to compile applications
which use %{name}.

%prep
%setup -q -n game-music-emu-%{version}
%patch0
%patch1
%patch2
sed -i 's/\r$//' changes.txt design.txt gme.txt license.txt readme.txt

%build
export CFLAGS='%{optflags}'
export CXXFLAGS='%{optflags}'
%{__mkdir} build
cd build
cmake -DCMAKE_SKIP_RPATH=1 \
      -DCMAKE_INSTALL_PREFIX=%{_prefix} \
      -DLIB_SUFFIX=$(echo %{_lib} | cut -b4-) \
      -DCMAKE_BUILD_TYPE=Release ..
%{__make} %{?_smp_mflags} VERBOSE=1

%install
cd build
%make_install

%post -n %{name}%{soname} -p /sbin/ldconfig

%postun -n %{name}%{soname} -p /sbin/ldconfig

%files -n %{name}%{soname}
%defattr(0644, root, root, 0755)
%doc changes.txt gme.txt license.txt readme.txt
%{_libdir}/%{name}.so.%{soname}*

%files devel
%defattr(0644, root, root, 0755)
%doc design.txt
%{_includedir}/gme
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Tue May  3 2011 reddwarf@opensuse.org
- Update libgme-0.5.5-symbol_visibility.patch to not install
  headers for functions that are not exported.
* Sun May  1 2011 toddrme2178@gmail.com
- Added 32bit compatibility libraries
- Escaped macros in comments (fix for RPMLINT warning)
* Tue Dec 14 2010 reddwarf@opensuse.org
- Initial package
